Bug 882158

Summary: system-config-language: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Product: [Fedora] Fedora Reporter: Kay Sievers <kay>
Component: system-config-languageAssignee: Parag Nemade <pnemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: apatil, i18n-bugs, nav007, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: system-config-language-1.3.5-19.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-31 01:42:52 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 881785    

Description Kay Sievers 2012-11-30 04:59:32 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
 fd = open('/etc/sysconfig/i18n', 'w')

Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Fedora Admin XMLRPC Client 2013-01-28 00:50:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Parag Nemade 2013-01-31 01:42:52 EST
I suppose this has been now taken care into current package source. you may still grep and find one line corresponding to older path but that is just if... else case.